%include %{_rpmconfigdir}/macros.python3

Name: python3-lxml
Version: 4.2.1
Release: 4
License: BSD-3-CLAUSE
Summary: Python bindings for the libxml2 and libxslt libraries
Url: http://lxml.de

Source0: https://files.pythonhosted.org/packages/e8/5d/98f56e274bdf17f2e0d9016d1788ca80d26d8987dcd5e1d9416d86ee0625/lxml-4.2.1.tar.gz

BuildRequires: python3-devel
BuildRequires: python3-pip

BuildRequires: libxml2-tools
BuildRequires: libxml2-devel
BuildRequires: libxslt-devel
BuildRequires: zlib-devel

%description
lxml is a Pythonic, mature binding for the libxml2 and libxslt libraries. It
provides safe and convenient access to these libraries using the ElementTree
API. It extends the ElementTree API significantly to offer support for XPath,
RelaxNG, XML Schema, XSLT, C14N and much more.

%prep
%setup -q -n lxml-%{version}

%build
# Fix the wrong dependencies /bin/sh and /usr/bin/python
find . -type f | xargs perl -pi -e 's|/usr/env/bin python|%{_bindir}/python3|g;s|#!/bin/sh|#!/QOpenSys/usr/bin/sh|g'

python%{py_ver} setup.py bdist_wheel

%install
pip%{py_ver} install --no-index --no-compile --root %{buildroot} dist/*.whl

perl -p -i -e 's|pip|rpm|g' %{buildroot}%{py_sitedir}/*.dist-info/INSTALLER

%files
%defattr(-, qsys, *none)

%{py_sitedir}/lxml*

%changelog
* Thu Jan 03 2019 - Kevin Adler <kadler@us.ibm.com>
- Remove -I and --no-deps from pip install so dependencies build from yum

* Sun Aug 05 2018 - Kevin Adler <kadler@us.ibm.com>
- Set INSTALLER to be "rpm" instead of "pip"
- Add --no-index to pip, so it doesn't attempt to connect to the internet

* Fri Aug 03 2018 - Kevin Adler <kadler@us.ibm.com>
- Update Summary, URL, and package description
- Clean up install process
- Ensure file ownership is correct

* Thu Aug 02 2018 - Kevin Adler <kadler@us.ibm.com>
- Remove unneeded setuptools and wheel build requirements

* Fri Jul 06 2018 - mengxumx <mengxumx@cn.ibm.com>
- BuildRequires zlib-devel

* Fri Jul 06 2018 - mengxumx <mengxumx@cn.ibm.com>
- Initial commit
